%define pkgname font-utils

%define with_X11R6_compat 0
%define _x11r6bindir /usr/X11R6/bin

Summary: 	X.Org X11 font utilities
Name: 		xorg-x11-%{pkgname}
# IMPORTANT: If package ever gets renamed to something else, remove the Epoch line!
Epoch: 		1
# NOTE: Keep version set to the X11Rx.y release the package is based upon.
Version: 	7.6
# Bump release for updates.
Release: 	2
License: 	MIT/X11
Group: 		User Interface/X
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0:        http://xorg.freedesktop.org/releases/individual/app/bdftopcf-1.0.3.tar.bz2
Source1:        http://xorg.freedesktop.org/releases/individual/app/mkfontdir-1.0.6.tar.bz2
Source2:        http://xorg.freedesktop.org/releases/individual/app/mkfontscale-1.0.8.tar.bz2
Source3:        http://xorg.freedesktop.org/releases/individual/font/font-util-1.2.0.tar.bz2

BuildRequires: 	pkg-config
# xorg-x11-libXfont-devel needed for bdftopcf
BuildRequires: 	libXfont-devel
# xorg-x11-libX11-devel needed for fonttosfnt
BuildRequires: 	libX11-devel
# xorg-x11-libfontenc-devel needed for fonttosfnt, mkfontscale
BuildRequires: 	libfontenc-devel
# freetype-devel needed for bdftopcf, fonttosfnt, mkfontscale
BuildRequires: 	freetype-devel
# zlib-devel needed for bdftopcf
BuildRequires: 	zlib-devel
# xorg-x11-proto-devel is needed for mkfontscale, which includes headers
# from it directly.
BuildRequires: 	xorg-x11-proto-devel

BuildRequires: 	autoconf

Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3

# NOTE: This versioned pre-dependency is needed to ensure that the bugfix for
# bug #173875 is installed in order for mkfontscale/mkfontdir to work
# properly.  It is a "pre" dep, to ensure libfontenc gets installed before
# xorg-font-utils, before any fonts in an rpm upgrade or multi-transaction
# set, avoiding a possible race condition.
Requires(pre): 	libfontenc >= 0.99.2-2

Provides: 	%{pkgname}
Provides: 	bdftopcf, fonttosfnt, mkfontdir, mkfontscale, bdftruncate, ucs2any
# NOTE: The fonts/util subdir moved from xorg-x11-base-fonts to
# xorg-x11-font-utils in 6.7.99.903-3
Obsoletes: 	xorg-base-fonts
# NOTE: ucs2any moved from xorg-x11-tools to xorg-x11-font-utils in 6.7.99.903-3
Obsoletes: 	xorg-tools
Obsoletes:	xorg-font-utils

%description
X.Org X11 font utilities required for font installation, conversion,
and generation.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 

%build
# Build all apps
{
   for app in bdftopcf mkfontdir mkfontscale font-util ; do
      pushd $app-*
      %configure
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT
# Install all apps
{
   for app in bdftopcf mkfontdir mkfontscale font-util; do
      pushd $app-*
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%if %{with_X11R6_compat}
{
   mkdir -p $RPM_BUILD_ROOT%{_x11r6bindir}

   for util in mkfontdir mkfontscale ; do
      ln -sf ../../..%{_bindir}/$util $RPM_BUILD_ROOT%{_x11r6bindir}/$util
   done
}
%endif

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/bdftopcf
%{_bindir}/bdftruncate
%{_bindir}/mkfontdir
%{_bindir}/mkfontscale
%{_bindir}/ucs2any
%{_datadir}/aclocal/fontutil.m4
%{_libdir}/pkgconfig/fontutil.pc
%{_datadir}/fonts/X11/util/map-ISO8859-1
%{_datadir}/fonts/X11/util/map-ISO8859-10
%{_datadir}/fonts/X11/util/map-ISO8859-11
%{_datadir}/fonts/X11/util/map-ISO8859-13
%{_datadir}/fonts/X11/util/map-ISO8859-14
%{_datadir}/fonts/X11/util/map-ISO8859-15
%{_datadir}/fonts/X11/util/map-ISO8859-16
%{_datadir}/fonts/X11/util/map-ISO8859-2
%{_datadir}/fonts/X11/util/map-ISO8859-3
%{_datadir}/fonts/X11/util/map-ISO8859-4
%{_datadir}/fonts/X11/util/map-ISO8859-5
%{_datadir}/fonts/X11/util/map-ISO8859-6
%{_datadir}/fonts/X11/util/map-ISO8859-7
%{_datadir}/fonts/X11/util/map-ISO8859-8
%{_datadir}/fonts/X11/util/map-ISO8859-9
%{_datadir}/fonts/X11/util/map-JISX0201.1976-0
%{_datadir}/fonts/X11/util/map-KOI8-R
%{_mandir}/man1/bdftopcf.1.gz
%{_mandir}/man1/bdftruncate.1.gz
%{_mandir}/man1/mkfontdir.1.gz
%{_mandir}/man1/mkfontscale.1.gz
%{_mandir}/man1/ucs2any.1.gz

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:7.6-2
- bdftopcf-1.0.3
- mkfintdir-1.0.6
- mkfontscale-1.0.8
- font-util-1.2.0
* Fri Oct 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:7.6-1
- version update
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:7.5-2
- rebuilt
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:7.5-1
- version update
- dropped fonttosfnt
- bdftopcf-1.0.2
- mkfontdir-1.0.5
- mkfontscale-1.0.7
- font-util-1.1.1
* Sun Sep 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:7.4-1
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1:7.3-2
- updated fonttosfnt to version 1.0.4
- updated mkfontdir to version 1.0.4
- updated mkfontscale to version 1.0.5
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:7.3-1
- Version update
- bdftopcf 1.0.1
- fonttosfnt 1.0.3
- mkfontdir 1.0.3
- mkfontscale 1.0.3
* Mon Sep 10 2006 Christian Metzen <metzench@ccux-linux.de> 1:7.1-2
- adjusted obsoletes
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1:7.1-1
- Initial release
